from enum import Enum

class DataKey(Enum):
  COMPANY_PREFIX            = "CompanyPrefix"
  LOCATION_REFERENCE        = "LocationReference"
  FROM_LOCATION_REFERENCE   = "FromLocationReference"
  TO_LOCATION_REFERENCE     = "ToLocationReference"
  MATERIAL                  = "Material"
  FROM_MATERIAL             = "FromMaterial"
  TO_MATERIAL               = "ToMaterial"
  LOCATION                  = "Location"
  FROM_LOCATION             = "FromLocation"
  TO_LOCATION               = "ToLocation"
  LOCATION_EXT              = "LocationExtension"
  FROM_LOCATION_EXT         = "FromLocationExtension"
  TO_LOCATION_EXT           = "ToLocationExtension"
  LOT                       = "Lot"
  FROM_LOT                  = "FromLot"
  TO_LOT                    = "ToLot"
  QUANTITY                  = "Quantity"
  FROM_QUANTITY             = "FromQuantity"
  TO_QUANTITY               = "ToQuantity"
  UOM                       = "QuantityUOM"
  FROM_UOM                  = "FromQuantityUOM"
  TO_UOM                    = "ToQuantityUOM"
  DATE                      = "Date"
  FROM_DATE                 = "FromDate"
  TO_DATE                   = "ToDate"
  TIME                      = "Time"
  FROM_TIME                 = "FromTime"
  TO_TIME                   = "ToTime"
  TIME_ZONE                 = "TimeZone"
  FROM_TIME_ZONE            = "FromTimeZone"
  TO_TIME_ZONE              = "ToTimeZone"
  EXPIRATION_DATE           = "ExpirationDate"
  SELL_BY_DATE              = "SellByDate"
  BEST_BEFORE_DATE          = "BestBeforeDate"
  READ_POINT                = "ReadPoint"
  DISPOSITION               = "Disposition"
  BIZ_STEP                  = "BizStep"
  PURCHASE_ORDER            = "PurchaseOrder"
  DESPATCH_ADVICE           = "DespatchAdvice"
  PRODUCTION_ORDER          = "ProductionOrder"
  SSCC                      = "SSCC"
  SHIPPER                   = "Shipper"
  
  @classmethod
  def has_value(cls, value):
    return any(value == item.value for item in cls)
